---
title: delete-an-issuer-policy
product: vercel
url: /docs/rest-api/kms/delete-an-issuer-policy
canonical_url: "https://vercel.com/docs/rest-api/kms/delete-an-issuer-policy"
last_updated: 2026-08-19
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about delete-an-issuer-policy on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Delete an issuer policy

```http
DELETE /v1/kms/issuers/{issuerId}/policies/{kind}/{policyKey}
```

Remove a policy from a KMS issuer.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `issuerId` | string | Yes | The ID of the issuer. |
| `kind` | string. enum: project-grant, connex-grant | Yes | The issuer policy kind. |
| `policyKey` | string | Yes | The policy identifier. |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Responses

### 204: No description

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

### 410: No description

---

## Related

- [kms endpoints](/docs/rest-api#kms)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
